Overview
PUT
/chat/chats/{id}chatUpdate chats
Replace a record in chats by id.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- idpathstring
Request body
application/json · optional
- ownerUserIdoptionalstring
- ecosystemIdoptionalstring
- typeoptionalstring
- nameoptionalstring
- descriptionoptionalstring
- headerImageoptionalstring
- headerBackgroundImageoptionalstring
- backgroundImageoptionalstring
- stateoptionalstring
- securityoptionalstring
- modeloptionalstring
- personaSlugoptionalstring?
- personaIdoptionalstring?
- deletedAtoptionalstring?
Example
{
"ownerUserId": "string",
"ecosystemId": "string",
"type": "string",
"name": "string",
"description": "string",
"headerImage": "string",
"headerBackgroundImage": "string",
"backgroundImage": "string",
"state": "string",
"security": "string",
"model": "string",
"personaSlug": "string",
"personaId": "string",
"deletedAt": "string"
}Responses
200
chats
- idstring
- ownerUserIdstring
- ecosystemIdstring
- typestring
- namestring
- descriptionstring
- headerImagestring
- headerBackgroundImagestring
- backgroundImagestring
- statestring
- securitystring
- modelstring
- personaSlugstring?
- personaIdstring?
- createdAtstring
- updatedAtstring
- deletedAtstring?
Example
{
"id": "string",
"ownerUserId": "string",
"ecosystemId": "string",
"type": "string",
"name": "string",
"description": "string",
"headerImage": "string",
"headerBackgroundImage": "string",
"backgroundImage": "string",
"state": "string",
"security": "string",
"model": "string",
"personaSlug": "string",
"personaId": "string",
"createdAt": "string",
"updatedAt": "string",
"deletedAt": "string"
}400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X PUT "https://api.agenticdeveloperhub.com/chat/chats/{id}" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"ownerUserId": "string",
"ecosystemId": "string",
"type": "string",
"name": "string",
"description": "string",
"headerImage": "string",
"headerBackgroundImage": "string",
"backgroundImage": "string",
"state": "string",
"security": "string",
"model": "string",
"personaSlug": "string",
"personaId": "string",
"deletedAt": "string"
}'JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/chat/chats/{id}", {
method: "PUT",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: "{\n \"ownerUserId\": \"string\",\n \"ecosystemId\": \"string\",\n \"type\": \"string\",\n \"name\": \"string\",\n \"description\": \"string\",\n \"headerImage\": \"string\",\n \"headerBackgroundImage\": \"string\",\n \"backgroundImage\": \"string\",\n \"state\": \"string\",\n \"security\": \"string\",\n \"model\": \"string\",\n \"personaSlug\": \"string\",\n \"personaId\": \"string\",\n \"deletedAt\": \"string\"\n}",
});
const data = await res.json();